Package org.apache.tomcat.jdbc.pool.interceptor

## Class StatementFinalizer.StatementEntry

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.StatementFinalizer.StatementEntry

Enclosing class:
  StatementFinalizer

    protected class StatementFinalizer.StatementEntry
    extends Object

### Constructor Summary

Constructors
`StatementEntry​(Statement statement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getAllocationStack()`
`Statement` `getStatement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatementEntry

    public StatementEntry​(Statement statement)

### Method Detail

#### getStatement

    public Statement getStatement()

#### getAllocationStack

    public Throwable getAllocationStack()